
%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%global modname taskw

Name:             python-taskw
Version:          0.4.3
Release:          2%{?dist}
Summary:          Python bindings for your taskwarrior database

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/taskw
Source0:          http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-nose
BuildRequires:    python-six

Requires:         python-six

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-ordereddict
Requires:         python-ordereddict
%endif

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-nose
BuildRequires:    python3-six
%endif

%description
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.

%if 0%{?with_python3}
%package -n python3-taskw
Summary:        Python bindings for your taskwarrior database
Group:          Development/Libraries

Requires:       python3-six

%description -n python3-taskw
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.
%endif

%prep
%setup -q -n %{modname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

# Remove the tests after we've run them.  No reason to ship them.
%{__rm} -r %{buildroot}%{python_sitelib}/%{modname}/test

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}-*

%endif


%changelog
* Sun Aug 19 2012 Ralph Bean <rbean@redhat.com> - 0.4.3-2
- Removed dependency on "task".  Its not actually required.
- Remove tests from sitelib after running them.

* Tue Aug 14 2012 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Initial package for Fedora
